@charset "UTF-8";
/**
 * --- Abstracts (tiché — pouze mixiny, funkce; žádný CSS output) ---
 * Není potřeba importovat zde — partialy si je importují samy přes @use "../abstracts".
 * Výjimka: pokud main.scss sám potřebuje mixiny (v sekci stránkových stylů níže).
 */
/**
 * --- Base (globální reset, CSS custom properties) ---
 * Musí být první, protože ostatní části používají CSS custom properties.
 */
:root {
  --transition: all 0.3s ease-in-out;
  --padding-on-side: 40px;
  --margins: 1em;
  --gap: 40px;
  --gap-smaller: 20px;
  --shadow: 0 0.5em 3em rgba(0, 0, 0, 0.1);
  --shadow-hover: 0 0.4em 2em rgba(0, 0, 0, 0.15);
  --border-radius-smaller: 4px;
  --border-radius: 8px;
  --border-radius-big: 16px;
  --border-radius-bigger: 24px;
  --content-tiny: 800px;
  --content-small: 960px;
  --content-regular: 1360px;
  --content-big: 1600px;
  --font-weight-thin: 100;
  --font-weight-light: 300;
  --font-weight-regular: 400;
  --font-weight-medium: 500;
  --font-weight-semibold: 600;
  --font-weight-bold: 700;
  --font-weight-black: 900;
  --line-height: 1.5;
  --letter-spacing: normal;
  --font-size-10: 10px;
  --font-size-11: 11px;
  --font-size-12: 12px;
  --font-size-13: 13px;
  --font-size-14: 14px;
  --font-size-15: 15px;
  --font-size-16: 16px;
  --font-size-18: 18px;
  --font-size-20: 20px;
  --font-size-24: 24px;
  --font-size-28: 28px;
  --font-size-30: 30px;
  --font-size-36: 36px;
  --font-size-42: 42px;
  --font-size-48: 48px;
  --font-size-60: 60px;
  --font-size-72: 72px;
  --font-size-90: 90px;
  --font-size-120: 120px;
  --font-heading: "Racing Sans One", sans-serif;
  --font-basic: "Oxanium", sans-serif;
  --color-white: #fff;
  --color-black: #000;
  --color-green: #1a5632;
  --color-red: #d8000c;
  --color-success: #164427;
  --color-warning: #cf7500;
  --color-error: #9c0000;
  --color-title: #000;
  --color-heading: #000;
  --color-text: #3c3b39;
  --color-primary-light: #248b4d;
  --color-primary: #22532f;
  --color-primary-dark: #10321c;
  --color-secondary-light: #9e4234;
  --color-secondary: #b23f33;
  --color-secondary-dark: #84281e;
  --color-tertiary-light: #7a5c3b;
  --color-tertiary: #5d422f;
  --color-tertiary-dark: #3f291f;
  --color-light: #fff9ef;
  --color-border: transparent;
  --color-heading-rgb: 222, 214, 189;
  --color-text-rgb: 255, 255, 255;
  --color-primary-light-rgb: 36, 139, 77;
  --color-primary-rgb: 34, 83, 47;
  --color-primary-dark-rgb: 16, 50, 28;
  --color-secondary-rgb: 178, 63, 51;
  --color-secondary-dark-rgb: 132, 40, 30;
  --color-secondary-light-rgb: 158, 66, 52;
  --color-white-rgb: 255, 255, 255;
  --color-black-rgb: 0, 0, 0;
  --page-background-color: var(--color-white);
  --page-default-font-size: var(--font-size-18);
  --page-default-font-color: var(--color-text);
  --page-default-font-family: var(--font-basic);
  --page-default-line-height: 1.2;
  --page-letter-spacing: normal;
  accent-color: var(--color-primary);
}

@media screen and (max-width: 1400px) {
  :root {
    --padding-on-side: 30px;
    --gap: 30px;
    --border-radius: 6px;
    --border-radius-big: 14px;
    --border-radius-bigger: 30px;
    --font-size-12: 12px;
    --font-size-14: 13px;
    --font-size-16: 15px;
    --font-size-18: 16px;
    --font-size-20: 19px;
    --font-size-24: 22px;
    --font-size-28: 24px;
    --font-size-30: 28px;
    --font-size-36: 30px;
    --font-size-42: 36px;
    --font-size-48: 40px;
    --font-size-60: 48px;
    --font-size-72: 60px;
    --font-size-90: 72px;
    --font-size-120: 80px;
  }
}
@media screen and (max-width: 1024px) {
  :root {
    --padding-on-side: 24px;
    --gap: 24px;
    --line-height: 1.5;
    --border-radius: 5px;
    --border-radius-big: 12px;
    --border-radius-bigger: 24px;
    --font-size-12: 11px;
    --font-size-14: 12px;
    --font-size-16: 14px;
    --font-size-18: 15px;
    --font-size-20: 19px;
    --font-size-24: 20px;
    --font-size-28: 22px;
    --font-size-30: 26px;
    --font-size-36: 28px;
    --font-size-42: 32px;
    --font-size-48: 36px;
    --font-size-60: 44px;
    --font-size-72: 56px;
    --font-size-90: 60px;
    --font-size-120: 66px;
  }
}
@media screen and (max-width: 660px) {
  :root {
    --padding-on-side: 16px;
    --gap: 16px;
    --line-height: 1.5;
    --border-radius-big: 10px;
    --border-radius-bigger: 16px;
    --font-size-12: 11px;
    --font-size-14: 12px;
    --font-size-16: 14px;
    --font-size-18: 15px;
    --font-size-20: 18px;
    --font-size-24: 21px;
    --font-size-28: 22px;
    --font-size-30: 23px;
    --font-size-36: 25px;
    --font-size-42: 27px;
    --font-size-48: 30px;
    --font-size-60: 32px;
    --font-size-72: 40px;
    --font-size-90: 42px;
    --font-size-120: 44px;
  }
}
:root {
  /*---- Basic ----*/
  --icon-warning: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='22'%3E%3Cpath fill-rule='evenodd' fill='%23000' d='M2 15a2 2 0 01-2-2V1.999a2 2 0 014 0V13a2 2 0 01-2 2zm0 3a2 2 0 110 4 2 2 0 010-4z'/%3E%3C/svg%3E");
  --icon-ok: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14.6 12.8'%3E%3Cpath fill='none' stroke='%23000' stroke-width='2.5' stroke-linecap='round' stroke-linejoin='round' stroke-miterlimit='10' d='M12.9 1.6l-7.2 9.7-4.1-4.9'/%3E%3C/svg%3E");
  --icon-loading: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' fill='%23000'%3E%3Cpath d='M463.702 162.655L442.491 14.164c-1.744-12.174-16.707-17.233-25.459-8.481l-30.894 30.894C346.411 12.612 301.309 0 254.932 0 115.464 0 3.491 109.16.005 248.511c-.19 7.617 5.347 14.15 12.876 15.234l59.941 8.569c8.936 1.304 17.249-5.712 17.125-15.058C88.704 165.286 162.986 90 254.932 90c22.265 0 44.267 4.526 64.6 13.183l-29.78 29.78c-8.697 8.697-3.761 23.706 8.481 25.459l148.491 21.211c9.784 1.475 18.381-7.034 16.978-16.978zM499.117 249.412l-59.897-8.555c-7.738-.98-17.124 5.651-17.124 16.143 0 90.981-74.019 165-165 165a165.207 165.207 0 01-64.306-13.052l28.828-28.828c8.697-8.697 3.761-23.706-8.481-25.459L64.646 333.435c-9.753-1.393-18.39 6.971-16.978 16.978l21.21 148.492c1.746 12.187 16.696 17.212 25.459 8.481l31.641-31.626C165.514 499.505 210.587 512 257.096 512c138.794 0 250.752-108.618 254.897-247.28.22-7.632-5.317-14.224-12.876-15.308z'/%3E%3C/svg%3E");
  --icon-quote: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 39.33 29'%3E%3Cpath fill='%23025450' stroke-width='0' d='M35.96 22.62c-.19 1.55-.84 2.9-1.93 4.06-1.03 1.1-2.58 1.64-4.64 1.64-.97 0-1.97-.23-3-.68a8.902 8.902 0 0 1-2.61-1.84c-.77-.77-1.42-1.68-1.93-2.71-.45-1.1-.68-2.29-.68-3.58 0-2 .39-3.87 1.16-5.61.84-1.81 1.93-3.48 3.29-5.03 1.35-1.55 2.9-3 4.64-4.35C32 3.1 33.77 1.81 35.58.65l3.29 3.29c-3.35 2.45-5.84 4.71-7.45 6.77-1.55 2-2.32 3.84-2.32 5.51 0 1.23.48 2.29 1.45 3.19.97.9 2.77 1.97 5.42 3.19Zm-20.69 0c-.19 1.55-.84 2.9-1.93 4.06-1.03 1.1-2.58 1.64-4.64 1.64-.97 0-1.97-.23-3-.68a8.902 8.902 0 0 1-2.61-1.84c-.77-.77-1.42-1.68-1.93-2.71-.45-1.1-.68-2.29-.68-3.58 0-2 .39-3.87 1.16-5.61.84-1.81 1.93-3.48 3.29-5.03 1.35-1.55 2.9-3 4.64-4.35 1.74-1.42 3.51-2.71 5.32-3.87l3.29 3.29c-3.35 2.45-5.84 4.71-7.45 6.77-1.55 2-2.32 3.84-2.32 5.51 0 1.23.48 2.29 1.45 3.19.97.9 2.77 1.97 5.42 3.19Z' /%3E%3C/svg%3E");
  /*---- /Basic ----*/
  --icon-main-shape: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 283.46 232.68'%3E%3Cpath fill='%231a5733' stroke-width='0' d='M0 0v186.36c0 7.94 12.62 12.14 19.59 14.57 6.97 2.43 85.47 25.92 96.07 28.54 10.6 2.61 16.63 3.22 26.07 3.22s15.47-.6 26.07-3.22c10.6-2.61 89.1-26.11 96.07-28.54 6.97-2.43 19.59-6.63 19.59-14.57V0H0Z' /%3E%3C/svg%3E");
  --icon-hero-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 921.6 517.333'%3E%3Cpath fill='%231a5733' stroke-width='0' d='M0 0v454.16c0 10.835 41.033 16.56 63.685 19.872 22.657 3.312 277.895 35.352 312.351 38.917 34.456 3.565 54.079 4.385 84.764 4.385s50.308-.82 84.764-4.385c34.456-3.565 289.694-35.605 312.351-38.917 22.651-3.312 63.685-9.037 63.685-19.872V0H0Z' /%3E%3C/svg%3E");
  --icon-search: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 48 48'%3E%3Cpath fill='none' stroke='%231d1d1b' stroke-linecap='round' stroke-linejoin='round' stroke-width='4' d='M19.75 3C29 3 36.5 10.5 36.5 19.75S29 36.5 19.75 36.5 3 29 3 19.75 10.5 3 19.75 3ZM45 45 31.59 31.59' /%3E%3C/svg%3E");
  --icon-menu-dots: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 24 24'%3E%3Cpath stroke-width='0' d='M12 9c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3ZM0 12c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3Zm18 0c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3Zm-9 9c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3Zm-9 0c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3Zm18 0c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3ZM9 3c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3ZM0 3c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3Zm18 0c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3Z' /%3E%3C/svg%3E");
  --icon-instagram: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 64 64'%3E%3Cpath fill='%231d1e1b' stroke-width='0' d='M46.8 4H17.1C9.8 4 3.9 9.9 3.9 17.2v29.7c0 7.3 5.9 13.2 13.2 13.2h29.7c7.3 0 13.2-5.9 13.2-13.2V17.2C60 9.9 54.1 4 46.8 4ZM32 43c-6.1 0-11-4.9-11-11s4.9-11 11-11 11 4.9 11 11-4.9 11-11 11Zm16.2-24.2c-1.9 0-3.5-1.6-3.5-3.5s1.6-3.5 3.5-3.5 3.5 1.6 3.5 3.5-1.6 3.5-3.5 3.5Z' /%3E%3C/svg%3E");
  --icon-facebook: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 64 64'%3E%3Cpath stroke-width='0' d='M47.4 4.5H39c-3.7 0-7.3 1.5-9.9 4.1-2.6 2.6-4.1 6.2-4.1 9.9v8.4h-8.4v11.2H25v22.4h11.2V38.1h8.4l2.8-11.2H36.2v-8.4c0-.7.3-1.5.8-2s1.2-.8 2-.8h8.4V4.5Z' /%3E%3C/svg%3E");
  --icon-youtube: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 64 64'%3E%3Cpath stroke-width='0' d='M4 46V18c0-3.9 3.1-7 7-7h42c3.9 0 7 3.1 7 7v28c0 3.9-3.1 7-7 7H11c-3.9 0-7-3.1-7-7Zm38.5-14-17-10v20l17-10Z' /%3E%3C/svg%3E");
  --icon-phone: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='51' height='42'%3E%3Cpath fill='%231A5632' fill-rule='evenodd' d='M25.779 7.672c-8.521-.084-14.526-.633-15.33 9.077H.05C.05 1.99 12.919 0 25.507 0c12.588 0 25.457 1.99 25.457 16.749h-10.48c-.728-9.527-6.109-8.992-14.705-9.077ZM10.495 17.96c0 .447-.035.833-.098 1.175-.473 2.511-2.596 2.358-5.15 2.358-2.898 0-5.248.203-5.248-3.533h10.496Zm4.105-2.545v-1.484c0-.664.765-.706 1.709-.706h1.543c.943 0 1.708.042 1.708.706v2.271h10.912v-2.271c0-.664.766-.706 1.709-.706h1.542c.944 0 1.709.042 1.709.706v2.78c2.487 2.584 10.62 13.578 10.913 14.871v8.93c-.001.822-.667.588-1.489 1.488H5.176a1.49 1.49 0 0 1-1.488-1.488l-.004-8.885c.296-1.333 8.43-12.332 10.916-14.916v-1.296Zm16.327 17.407a1.445 1.445 0 1 0 0-2.893 1.446 1.446 0 0 0 0 2.893Zm0-4.961a1.446 1.446 0 1 0 .002-2.893h-.002a1.446 1.446 0 0 0 0 2.893Zm0-4.961a1.446 1.446 0 0 0 0-2.893 1.446 1.446 0 1 0 0 2.893Zm-5.953 9.922a1.446 1.446 0 1 0 .076-2.892h-.076a1.447 1.447 0 0 0 0 2.892Zm0-4.961a1.447 1.447 0 1 0 .076-2.892h-.076a1.446 1.446 0 0 0 0 2.892Zm0-4.961a1.447 1.447 0 1 0 .077-2.893 1.447 1.447 0 0 0-.077 2.893Zm-5.952 9.922a1.446 1.446 0 1 0 .001-2.893 1.446 1.446 0 0 0-.001 2.893Zm0-4.961a1.446 1.446 0 1 0 .003-2.893h-.003a1.447 1.447 0 0 0 0 2.893Zm0-4.961a1.447 1.447 0 1 0 0-2.894 1.447 1.447 0 0 0 0 2.894Zm21.543-3.765a5.658 5.658 0 0 1-.111-1.175H51c0 3.539-2.36 3.348-5.272 3.348-2.543 0-4.665.143-5.163-2.173Z' /%3E%3C/svg%3E");
  --icon-email: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='50' height='36'%3E%3Cpath fill='%231A5632' fill-rule='evenodd' d='M32.76 18 50 2.544v30.912L32.76 18ZM2.838 0h44.324L25 19.868 2.838 0ZM0 33.456V2.544L17.239 18 0 33.456Zm25-8.499 4.922-4.413L47.162 35.1H2.838l17.24-14.556L25 24.957Z' /%3E%3C/svg%3E");
  --icon-arrow-right: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 48 48'%3E%3Cpath fill='none' stroke='%231d1d1b' stroke-linecap='round' stroke-linejoin='round' stroke-width='2.5' d='M24 3c11.6 0 21 9.4 21 21s-9.4 21-21 21S3 35.6 3 24 12.4 3 24 3Zm-2.76 28.57L29.81 24l-8.57-7.57' /%3E%3C/svg%3E");
  --icon-arrow-down: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 48 48'%3E%3Cpath fill='none' stroke='%231d1d1b' stroke-linecap='round' stroke-linejoin='round' stroke-width='4' d='M24 3v42M4.28 25.28 24 45l19.72-19.72' data-name='Vrstva 1-2' /%3E%3C/svg%3E");
  --icon-close: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 48 48'%3E%3Cpath fill='none' stroke='%231d1d1b' stroke-linecap='round' stroke-linejoin='round' stroke-width='2.5' d='M24 3c11.6 0 21 9.4 21 21s-9.4 21-21 21S3 35.6 3 24 12.4 3 24 3Zm7.7 13.3L16.4 31.6m-.1-15.3 15.3 15.3' /%3E%3C/svg%3E");
  --icon-pin: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 48 48'%3E%3Cpath fill='none' stroke='%231d1d1b' stroke-linecap='round' stroke-linejoin='round' stroke-width='2.5' d='M24 3c11.6 0 21 9.4 21 21s-9.4 21-21 21S3 35.6 3 24 12.4 3 24 3Zm0 8.4c-5.5 0-10 4.6-10 10.2s7.6 13.2 10 15c2.4-1.8 10-8.1 10-15s-4.5-10.2-10-10.2Zm0 5.4c2.4 0 4.3 1.9 4.3 4.3s-1.9 4.3-4.3 4.3-4.3-1.9-4.3-4.3 1.9-4.3 4.3-4.3Z' /%3E%3C/svg%3E");
  --icon-bullet: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 24 24'%3E%3Ccircle cx='12' cy='12' r='4' fill='%231d1d1b' stroke-width='0' /%3E%3C/svg%3E");
  --icon-head: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 128.7 189.3'%3E%3Cpath fill='%230f2c1a' stroke-width='0' d='M81.2 67.3c7.7 2.9 10 15.8 2.1 20-4.8 2.7-12.3 1-15.2-4.2-2.1-3.5-1.5-9 1-4 2.1 4.6 7.9 6.5 12.1 3.7 9-6-6-17.9 0-15.6ZM14 82.3c-.4-7.3 4.4-12.9 7.5-12.3 4 .8 31.4 18.5 32.9 21 .6 1-1 .8-2.9.4-1.2-.2-2.7-.4-3.5-.2-4.2.8-9.2 2.5-14.4 3.7-3.7 1-6.2.6-8.3-2.3-3.3-4.4-6.5-7.1-11.2-10.4Zm13.3 8.6c0 5.8 6 2.3 7.1 1.2 5.2-4-6.7-9.2-7.1-1.2Zm74.1 34.1c-8.3 4.6-7 6.7 2.4 2.6 3.3-1.5 6.6-3.7 13.2-7.8 3.8-2.4 7.9-4.9 11.7-6.8v-6.6l-3.9 1.5c-8.5 3.3-9.4-.2-2.3-4.4 2.1-1.2 4.2-2.4 6.2-3.5V89.8c-15.7 5.6-13.4 1.4 0-6.8v-9.1c-2.3 1-4.7 2.1-7.5 3.4-8.5 4.2-12.1 2.7-6.5-1.7 5.2-4.1 9.7-7 13.9-9.3v-7.4c-1.9.8-4 1.7-6.2 2.7-16.9 7.9-20.6-3.7-21 12.5-.4 12.7-9 18.7-15.6 21.2-7.3 2.5-14-.6-17.7-2.3-2.7-1-7.9.2-6.9 1.5.2.4 1 .4 2.1.4s3.1 0 5.2 1.2c10 5.6 14.2 6 28.5 3.3 16.9-3.3 9 .6 1 6.7-3.5 2.7-4 4.2.6 3.1 13.3-3.1 13.7-2.1 1.2 4.8-3.5 2.1-2.7 3.5.8 2.9 9.6-1.7 10.2 2.5.6 7.9Zm-30-12.7c14.8 2.3 14.6 1.2 0-2.9-31.7-9.2-14.2-2.5-33.3-4-.6-.2-1.7-.2-2.5-.4-4.8-.6-11.2-1.7-15 2.9-5.4 6.2-7.5 13.7-2.7 26 2.7 6.5 2.5-1.9 4.4-5.6 3.3-6.9 10.8-14.6 20.6-16.2 8.7-1.5 17.9-1.5 28.5.2ZM21.2 62.4c1-7.1 6.2-15.4 6.5-15.4 5.9-8.3 13.3-15.2 21.6-20.9.2-.2.5-.4.9-.7C82.2 4.1 112.5.6 128.7 0v11.3c-7.3 3.2-13.3 6.8-18.1 10-10 6.5-6.5 6 2.9 2.5 4.1-1.6 9.3-3.5 15.2-5.2V29c-3.6 1.7-6.8 3.4-7.8 4.3-1.9 1.6-.9 2.8 7.8 2.2V47c-17.6 2.6-34.5 6.2-50.4 14.4-3.7 1.9-5.2 6.7-8.7 9-6 4-9 2.7-9.4 5.8-.4 5 0 9.6-3.1 12.9-6.2-10-36-24.8-35.8-26.9Zm35.2 10.2c4.4-.6 10.8-3.5 13.1-6.2C80.1 54.3 89.1 40.8 87.2 41c-1.7-.2-11.9 13.5-19.2 20.4-3.1 2.9-9 7.3-12.1 8.5-3.3 1.5-3.5 3.1.4 2.7ZM7.1 121.5c-1-6-.8-11.5 1.7-16.9 3.1-6.9 4.2-8.5 10-12.7-2.5-3.3-4.4-4.6-7.9-6.9-17.5 12.3-12.1 40 4 59.1 4.4 5.2 3.1 2.3.2-2.7-3.5-6.2-6.5-12.3-7.9-20Zm91.4 15c-6.5 2.3-22.3 15.4-23.7 31.9-.4 4.2-1 18.1 1 5.8 2.7-15.6 11.9-23.7 22.9-35.2 4-4 6.9-5-.2-2.5Zm30.2-12.7v-6c-1.8 1.1-3.6 2.2-5.6 3.5-7.7 5-19.4 16.9-25.9 23.7-.4.4.2 1 .6.7 3.3-2.6 7.4-5.9 12.8-9.9 7.5-5.6 13.3-9.4 18.1-12Zm0 13.1c-3.1 1.5-4.3 2.6-4.3 2.6s1.6-1.4 4.3-3.5v-4.4c-7 4.9-14 10.6-16.8 13.2-3.9 3.8-4.9 6.2-3.8 7.9 1.1 1.6 7.5-3.6 15.7-8 1.3-.7 2.9-1.5 4.8-2.4v-5.2Zm-63.9 16.7c-9.2 6-14.4 13.1-12.1 21.9.4 2.1.6 2.1 1-.6 1.7-9.8 5.6-12.9 11-19.2 2.3-2.3 2.5-3.7 0-2.1Zm-7.9-29c3.3 5.4 2.9 12.5 3.5 19 .2 2.5 4.4-2.7 4.2-4.4-.8-12.9-4.4-18.3-17.7-24.2 4.4 3.1 7.5 5.2 10 9.6Zm13.1 8.6c-1.5 5.4-5.8 12.7-9.4 16.9-7.3 8.5 1.9 1.5 4.4-1.7 2.7-3.3 5.6-10 6.9-15.2 1-5.2-.6-4.4-1.9 0Zm14.1 6.2c2.9-4.8 5.8-10.8 6-16.7.2-4.2.2-6.7 1.5-10 1.7-4.6-.2-3.5-1.7-.6-1.5 3.3-2.1 5.6-2.3 9.2-.4 5.6-2.5 11.9-5.8 17.3-5 7.5-9.4 12.5-11.5 21.7-1.7 7.9-.8 14.4-1.9 23.7-.4 3.7-1.2 2.7-2.1.6-1.5-3.3-2.3-11.2-3.5-15.4-.6-2.5-1.5-4-1.9-4.4-.2.4-.6.8-.8 1.5 0 .8.2 1.9.4 3.1 2.1 10 4.2 23.3 8.5 19.2 2.9-2.7.6-21.7 5.6-32.9 2.7-5.8 5.8-10.8 9.4-16.2Z' /%3E%3C/svg%3E");
}

@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}
* {
  box-sizing: border-box;
  position: relative;
}

h1,
h2,
h3,
h4,
h5,
h6,
ul,
li,
a,
input,
textarea,
p,
body,
span,
menu {
  margin: 0;
  padding: 0;
  line-height: var(--page-default-line-height, 1.25);
}

img {
  border: none;
}

ul li,
menu li {
  list-style: none;
}

a {
  text-decoration: none;
}

a,
svg,
path {
  transition: var(--transition);
}

div,
article,
section,
img,
main,
input,
textarea {
  display: block;
}

input,
textarea,
img,
a,
option,
select,
button,
div {
  outline: none;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

html {
  font-size: var(--page-default-font-size, var(--font-size-18));
  font-family: var(--font-basic);
  font-weight: var(--font-weight-medium);
  font-optical-sizing: auto;
  height: fill-available;
  height: -webkit-fill-available;
  width: 100%;
  overflow-x: hidden;
}

body {
  color: var(--page-default-font-color, var(--color-text));
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  background-color: var(--page-background-color, var(--color-white));
  min-height: 100dvh;
  min-height: fill-available;
  min-height: -webkit-fill-available;
  overflow: clip;
  letter-spacing: var(--page-letter-spacing, normal);
}

/**
 * --- Components (izolované UI komponenty) ---
 * Všechny znovupoužitelné komponenty, které nejsou specifické pro WordPress bloky.
 */
.button,
.wp-block-button {
  --button-text-color: var(--color-white);
  --button-text-color-hover: var(--color-white);
  --button-background-color: var(--color-primary);
  --button-background-color-hover: var(--color-secondary);
  --button-font-size: var(--font-size-18);
  --button-border-radius: var(--border-radius);
  --button-border-color: transparent;
  --button-border: 1px solid var(--button-border-color);
  --button-border-color-hover: transparent;
  --button-shadow: none;
  --button-shadow-hover: none;
  --button-padding: 0.75em clamp(0.8em, 4vw, 1.6em);
}
.button--outline, .button.is-style-outline,
.wp-block-button--outline,
.wp-block-button.is-style-outline {
  --button-text-color: var(--color-white);
  --button-text-color-hover: var(--color-white);
  --button-border-color: var(--color-white);
  --button-border-color-hover: var(--color-primary);
  --button-background-color: transparent;
  --button-background-color-hover: var(--color-primary);
}
.button--arrow, .button.is-style-button-arrow,
.wp-block-button--arrow,
.wp-block-button.is-style-button-arrow {
  --button-padding: 0.5em 0.5em 0.5em 1.6em;
  --button-text-color: var(--color-white);
  --button-background-color: var(--color-secondary);
  --button-text-color-hover: var(--color-white);
  --button-background-color-hover: var(--color-primary-dark);
  --button-arrow-color: var(--color-white);
  --button-arrow-color-hover: var(--color-primary);
  --button-arrow-background-color: var(--color-primary);
  --button-arrow-background-color-hover: var(--color-white);
}
.button--smaller,
.wp-block-button--smaller {
  --button-font-size: var(--font-size-16);
}
.button--tiny,
.wp-block-button--tiny {
  --button-font-size: var(--font-size-13);
  --button-padding: 0.4em 0.8em 0.45em;
}
.button--tiny.button--arrow,
.wp-block-button--tiny.button--arrow {
  --button-padding: 0.4em 0.4em 0.45em 0.8em;
}
.button--tiny.button--arrow::before,
.wp-block-button--tiny.button--arrow::before {
  right: 0.4em;
}
.button--white,
.wp-block-button--white {
  --button-text-color: var(--color-primary);
  --button-text-color-hover: var(--color-white);
  --button-background-color: var(--color-white);
  --button-background-color-hover: var(--color-primary);
}
.button--secondary,
.wp-block-button--secondary {
  --button-text-color: var(--color-white);
  --button-text-color-hover: var(--color-white);
  --button-background-color: var(--color-secondary);
  --button-background-color-hover: var(--color-primary);
  --button-border-color: var(--color-secondary);
  --button-border-color-hover: var(--color-primary);
}

.button,
.wp-block-button .wp-block-button__link {
  font-family: var(--font-basic);
  font-weight: var(--font-weight-semibold);
  font-optical-sizing: auto;
  display: inline-block;
  padding: var(--button-padding);
  line-height: 1;
  font-size: var(--button-font-size, var(--font-size-16));
  border: var(--button-border, none);
  transition: var(--transition);
  cursor: pointer;
  border-radius: var(--button-border-radius, var(--border-radius));
  text-align: center;
  color: var(--button-text-color, var(--color-white));
  background-color: var(--button-background-color, var(--color-main));
  box-shadow: var(--button-shadow, none);
  font-weight: var(--font-weight-medium);
}
.button:hover,
.wp-block-button .wp-block-button__link:hover {
  color: var(--button-text-color-hover, var(--color-white));
  background-color: var(--button-background-color-hover, var(--color-secondary-light));
  box-shadow: var(--button-shadow-hover, none);
  border-color: var(--button-border-color-hover, var(--color-tertiary));
}

.button--arrow,
.is-style-button-arrow .wp-block-button__link {
  display: inline-flex;
  align-items: center;
  gap: 1.25em;
}
.button--arrow::after,
.is-style-button-arrow .wp-block-button__link::after {
  content: "";
  width: 1.8em;
  aspect-ratio: 1/1;
  border-radius: 50%;
  background-color: var(--button-arrow-background-color, var(--button-text-color));
  transition: var(--transition);
  flex-shrink: 0;
}
.button--arrow::before,
.is-style-button-arrow .wp-block-button__link::before {
  content: "";
  width: 1.8em;
  aspect-ratio: 1/1;
  border-radius: 50%;
  mask: var(--icon-arrow-diagonal) center/30% auto no-repeat;
  background-color: var(--button-arrow-color, var(--button-background-color));
  transition: var(--transition);
  right: 0.5em;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 2;
  flex-shrink: 0;
}
.button--arrow:hover::after,
.is-style-button-arrow .wp-block-button__link:hover::after {
  background-color: var(--button-arrow-background-color-hover, var(--button-text-color-hover));
}
.button--arrow:hover::before,
.is-style-button-arrow .wp-block-button__link:hover::before {
  background-color: var(--button-arrow-color-hover, var(--button-background-color-hover));
}

.buttons-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5em 1em;
}
.buttons-wrapper.text-center {
  justify-content: center;
}
.buttons-wrapper.text-right {
  justify-content: flex-end;
}

.form {
  --form-gap: clamp(16px, 2cqw, 24px);
  --form-input-text-color: var(--color-secondary-dark);
  --form-input-border-radius: var(--border-radius-big);
  --form-input-border-active: 1px solid var(--color-primary-dark);
  --form-input-font-family: var(--font-basic);
  --form-input-font-weight: var(--font-weight-medium);
  --form-label-text-color: var(--color-secondary);
  --form-submit-button-position: flex-start;
  --form-submit-button-background-color: var(--color-secondary);
  --form-submit-button-text-color: var(--color-primary);
  --form-submit-button-border-radius: var(--border-radius-bigger);
  --form-submit-button-padding: 0.5em 1.25em;
  --form-submit-button-text-color-hover: var(--color-primary);
  --form-submit-button-background-color-hover: var(--color-light);
  --form-submit-button-indicator-margin-right: 1em;
  --form-submit-button-indicator-size: 1em;
  --form-submit-button-border-radius: 10em;
  --form-response-border-radius: var(--border-radius-big);
  padding: clamp(20px, 4cqw, 60px);
  border-radius: var(--border-radius-bigger);
  background: var(--color-primary-light);
  box-shadow: var(--shadow-box);
}
.form::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: 0;
  width: clamp(120px, 20cqw, 240px);
  aspect-ratio: 1/1;
  mask: var(--icon-head) right top/cover no-repeat;
  background-color: var(--color-primary-dark);
  z-index: 0;
  opacity: 0.5;
  pointer-events: none;
}
.form__submit-button-indicator {
  opacity: 1;
  width: 2.2em;
  height: 2.2em;
  border-radius: 50%;
  background-color: var(--color-primary);
  mask: none;
  animation: none;
  margin-left: -0.75em;
}
.form__submit-button-indicator::before {
  --form-submit-button-indicator-size: 1.25em;
  content: "";
  position: absolute;
  left: calc(50% - var(--form-submit-button-indicator-size) / 2);
  top: calc(50% - var(--form-submit-button-indicator-size) / 2);
  width: var(--form-submit-button-indicator-size);
  height: var(--form-submit-button-indicator-size);
  border-radius: 50%;
  background-color: var(--color-secondary);
  mask: var(--icon-arrow-right) center/contain no-repeat;
}
.form__submit-button-label {
  font-weight: var(--font-weight-bold);
  letter-spacing: 0.02em;
}
.form__submit-button--loading .form__submit-button-indicator::before {
  animation: spin 1s linear infinite;
  mask: var(--icon-loading) center/70% auto no-repeat;
}

/**
 * --- Blocks (WordPress Gutenberg specifika) ---
 * Styly pro bloky, které jsou specifické pro WordPress editor a frontend.
 */
.global-style > *:first-child {
  margin-top: 0;
}
.global-style > *:last-child {
  margin-bottom: 0;
}
.global-style p,
.global-style li {
  line-height: var(--line-height);
}
.global-style a:not([class]) {
  color: var(--color-secondary);
  position: relative;
  text-decoration: underline;
}
.global-style a:not([class]):hover {
  color: var(--color-secondary);
  text-decoration: none;
}
.global-style p {
  margin-top: 1em;
  margin-bottom: 1em;
}
.global-style hr {
  border: 0;
  height: 2px;
  background: var(--color-light);
  clear: both;
  margin: var(--gap) 0;
}

p,
ul,
ol {
  --font-size: var(--font-size-18);
  font-size: var(--font-size);
  color: var(--font-color, var(--color-text));
}

.wp-block-heading {
  --block-heading-margin-top: 1em;
  --block-heading-margin-bottom: 0.5em;
  font-family: var(--font-heading);
  font-weight: var(--font-weight-regular);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
  line-height: 1;
  color: var(--font-color-heading, var(--color-title));
  margin-top: var(--block-heading-margin-top);
  margin-bottom: var(--block-heading-margin-bottom);
  letter-spacing: var(--letter-spacing, normal);
  font-size: var(--font-size);
  text-transform: uppercase;
}
.wp-block-heading mark {
  color: var(--font-color-heading, var(--color-title));
  font-size: 1.15em;
  padding: 0 0.3em 0.05em;
  border-radius: var(--border-radius);
  display: inline-block;
}

h1.wp-block-heading {
  --font-size: var(--font-size-90);
}

h2.wp-block-heading {
  --font-size: var(--font-size-60);
}

h3.wp-block-heading {
  --font-size: var(--font-size-48);
}

h4.wp-block-heading {
  --font-size: var(--font-size-36);
}

h5.wp-block-heading {
  --font-size: var(--font-size-30);
}

h6.wp-block-heading {
  --font-size: var(--font-size-24);
}

.has-small-font-size {
  font-size: calc(var(--font-size) * 0.875);
}

.has-medium-font-size {
  font-size: calc(var(--font-size) * 1.15);
}

.has-large-font-size {
  font-size: calc(var(--font-size) * 1.3);
}

.has-x-large-font-size {
  font-size: calc(var(--font-size) * 1.5);
}

@media screen and (max-width: 1024px) {
  .has-medium-font-size {
    font-size: calc(var(--font-size) * 1.125);
  }
  .has-large-font-size {
    font-size: calc(var(--font-size) * 1.375);
  }
  .has-x-large-font-size {
    font-size: calc(var(--font-size) * 1.5);
  }
}
.has-text-align-left {
  text-align: left;
}

.has-text-align-center {
  text-align: center;
}

.has-text-align-right {
  text-align: right;
}

.is-vertical-aligned-top,
.are-vertically-aligned-top {
  align-items: flex-start;
}

.is-vertical-aligned-center,
.are-vertically-aligned-center {
  align-items: center;
}

.is-vertical-aligned-bottom,
.are-vertically-aligned-bottom {
  align-items: flex-end;
}

.is-content-justification-left {
  justify-content: flex-start;
}

.is-content-justification-center {
  justify-content: center;
}

.is-content-justification-right {
  justify-content: flex-end;
}

.aligncenter {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}
.aligncenter img {
  margin-left: auto;
  margin-right: auto;
}

.wp-block-columns {
  --block-columns-gap: 2em clamp(15px, 3cqw, 40px);
  --block-columns-margin: var(--gap) 0;
  display: flex;
  gap: var(--block-columns-gap);
  margin: var(--block-columns-margin);
}
@media screen and (max-width: 768px) {
  .wp-block-columns {
    flex-direction: column;
  }
}

.wp-block-column > *:first-child {
  margin-top: 0;
}
.wp-block-column > *:last-child {
  margin-bottom: 0;
}
.wp-block-column {
  flex-grow: 1;
  flex-basis: 50%;
}

.wp-block-image {
  --block-image-margin: var(--margins) auto;
  --block-image-border-radius: var(--border-radius);
  margin: var(--block-image-margin);
  border-radius: var(--block-image-border-radius);
  overflow: hidden;
}
.wp-block-image img {
  border-radius: var(--block-image-border-radius);
}
.wp-block-image .wp-element-caption {
  text-align: center;
  font-size: var(--font-size-16);
  color: var(--color-font, var(--color-main));
  padding: 1em;
  background-color: var(--color-white);
  display: block;
  font-family: var(--font-heading);
  font-weight: var(--font-weight-bold);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
}

.wp-block-gallery {
  --block-gallery-columns: 3;
  --block-gallery-gap: clamp(10px, 2cqw, 20px);
  --block-gallery-image-aspect-ratio: inherit;
  --block-gallery-image-background-color: var(--color-primary);
  display: grid;
  grid-template-columns: repeat(var(--block-gallery-columns), 1fr);
  gap: var(--block-gallery-gap) !important;
  margin: var(--block-gallery-gap);
  align-items: flex-start;
}
.wp-block-gallery.columns-2 {
  --block-gallery-columns: 2;
}
.wp-block-gallery.columns-4 {
  --block-gallery-columns: 4;
}
.wp-block-gallery.columns-5 {
  --block-gallery-columns: 5;
}
.wp-block-gallery.columns-6 {
  --block-gallery-columns: 6;
}
.wp-block-gallery.columns-7 {
  --block-gallery-columns: 7;
}
.wp-block-gallery.columns-8 {
  --block-gallery-columns: 8;
}
.wp-block-gallery .wp-block-image {
  aspect-ratio: var(--block-gallery-image-aspect-ratio);
  overflow: hidden;
  margin: 0;
  width: 100% !important;
  align-items: flex-start;
  justify-content: center;
  display: flex;
}
.wp-block-gallery .wp-block-image a::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: var(--block-gallery-image-background-color);
  opacity: 0;
  transition: var(--transition);
  z-index: 2;
}
.wp-block-gallery .wp-block-image:hover a::before {
  opacity: 0.5;
}
.wp-block-gallery .wp-block-image img {
  width: 100%;
  height: auto;
}
.wp-block-gallery.is-cropped .wp-block-image img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
@media screen and (max-width: 1200px) {
  .wp-block-gallery.columns-5, .wp-block-gallery.columns-6, .wp-block-gallery.columns-7, .wp-block-gallery.columns-8 {
    --block-gallery-columns: 4;
  }
}
@media screen and (max-width: 1024px) {
  .wp-block-gallery.columns-4, .wp-block-gallery.columns-5, .wp-block-gallery.columns-6, .wp-block-gallery.columns-7, .wp-block-gallery.columns-8 {
    --block-gallery-columns: 3;
  }
}
@media screen and (max-width: 480px) {
  .wp-block-gallery.columns-2, .wp-block-gallery.columns-3, .wp-block-gallery.columns-4, .wp-block-gallery.columns-5, .wp-block-gallery.columns-6, .wp-block-gallery.columns-7, .wp-block-gallery.columns-8 {
    --block-gallery-columns: 2;
  }
}

.wp-block-table {
  margin: var(--gap) 0;
  overflow: hidden;
  border-radius: var(--border-radius);
}
@media screen and (max-width: 768px) {
  .wp-block-table.responsive-table thead {
    display: none;
  }
  .wp-block-table.responsive-table td {
    display: flex;
    justify-content: space-between;
    gap: 0 1em;
  }
  .wp-block-table.responsive-table td div {
    text-align: right;
  }
  .wp-block-table.responsive-table td::before {
    content: attr(data-label);
    font-weight: bold;
  }
  .wp-block-table.responsive-table tbody {
    display: grid;
    gap: 1em;
  }
}

.wp-block-quote {
  --block-quote-margin: 2em auto;
  padding: 0;
  margin: var(--block-quote-margin);
}
.wp-block-quote::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 10em;
  height: 10em;
  mask: var(--icon-quote) center/contain no-repeat;
  background-color: var(--color-primary);
  opacity: 0.15;
}
.wp-block-quote p {
  font-family: var(--font-heading);
  font-weight: var(--font-weight-medium);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
  margin: 0;
  font-size: var(--font-size-24);
  color: var(--color-main);
  z-index: 2;
}
.wp-block-quote p a {
  color: var(--color-primary-dark) !important;
  text-decoration: underline;
}
.wp-block-quote p a:hover {
  text-decoration: none;
}
.wp-block-quote cite {
  margin-top: 1em;
  font-size: var(--font-size-16);
  display: block;
  font-family: var(--font-heading);
  font-weight: var(--font-weight-bold);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
  color: var(--color-primary-dark);
  font-style: normal;
}
.wp-block-quote cite a {
  font-style: normal;
  color: var(--color-primary-dark);
}
.wp-block-quote cite a:hover {
  text-decoration: underline;
}
.wp-block-quote cite em {
  font-style: normal;
  line-break: loose;
}
@media screen and (max-width: 660px) {
  .wp-block-quote {
    --block-quote-margin: 1em auto;
  }
}

.wp-block-list {
  counter-reset: item;
  list-style: none;
  margin: 1em 0;
  display: flex;
  flex-direction: column;
  gap: 0.4em;
  padding: 0;
}
.wp-block-list li {
  padding: 0 0 0 1.8em;
  color: var(--font-color, var(--color-text));
}

ul.wp-block-list {
  --icon-list-item: var(--icon-bullet);
  --icon-list-item-color: var(--color-secondary);
}
ul.wp-block-list li::before {
  content: "";
  position: absolute;
  left: 0;
  width: 1em;
  height: 1em;
  top: 0.25em;
  mask: var(--icon-list-item) center/contain no-repeat;
  background-color: var(--icon-list-item-color, var(--color-primary));
}

ol.wp-block-list li::before {
  position: absolute;
  left: 0;
  counter-increment: item;
  content: counter(item) ". ";
  font-weight: var(--font-weight-medium);
  color: var(--icon-list-item-color, var(--color-primary));
  min-width: 1em;
}

.wp-block-buttons {
  --block-buttons-margin: var(--gap) 0 0 0;
  --block-buttons-gap: 0.5em 1em;
  margin: var(--block-buttons-margin);
  display: flex;
  flex-wrap: wrap;
  gap: var(--block-buttons-gap);
}

/* ----------------------------- */
/* -------- Barvy textu -------- */
/* ----------------------------- */
.has-primary-color {
  --font-color: var(--color-primary);
  --font-color-heading: var(--color-primary);
}
.has-secondary-color {
  --font-color: var(--color-secondary);
  --font-color-heading: var(--color-secondary);
}
.has-main-color {
  --font-color: var(--color-main);
  --font-color-heading: var(--color-main);
}
.has-light-color {
  --font-color: var(--color-light);
  --font-color-heading: var(--color-light);
}
.has-white-color {
  --font-color: var(--color-white);
  --font-color-heading: var(--color-white);
}
.has-black-color {
  --font-color: var(--color-black);
  --font-color-heading: var(--color-black);
}

/* ------------------------------ */
/* -------- Barvy pozadí -------- */
/* ------------------------------ */
.has-background-color-primary {
  --background-color: var(--color-primary);
  --font-color: var(--color-white);
  --font-color-heading: var(--color-light);
}
.has-background-color-secondary {
  --background-color: var(--color-secondary);
  --font-color: var(--color-white);
  --font-color-heading: var(--color-white);
}
.has-background-color-main {
  --background-color: var(--color-main);
  --font-color: var(--color-white);
  --font-color-heading: var(--color-white);
}
.has-background-color-white {
  --background-color: var(--color-white);
  --font-color: var(--color-text);
}
.has-background-color-black {
  --background-color: var(--color-black);
  --font-color: var(--color-white);
}
.has-background-color-light {
  --background-color: var(--color-light);
  --font-color: var(--color-text);
  --font-color-heading: var(--color-main);
}

/* --------------------------------------------------- */
/* -------- Vlastní .is-style styly pro bloky -------- */
/* --------------------------------------------------- */
.is-style-subheading {
  --font-size: var(--font-size-16);
  color: var(--font-color, var(--color-primary));
  margin-bottom: 0.25em;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  padding: 0.5em 0.75em 0.2em;
  display: inline-block;
  position: relative;
  font-weight: var(--font-weight-bold);
}
.is-style-subheading::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  border-radius: var(--border-radius-smaller);
  background-color: var(--font-color, var(--color-primary));
  opacity: 0.15;
}
.is-style-subheading + .wp-block-heading {
  margin-top: 0;
}
.is-style-subheading.has-text-align-center {
  display: table;
}

.is-style-heading-font {
  --line-height: 1.25;
  font-family: var(--font-heading);
  font-weight: var(--font-weight-bold);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
}

p.has-text-align-center {
  max-width: 48em;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (max-width: 1200px) {
  .section-has-background .wp-block-heading,
  .section-has-background p,
  .section-has-background .wp-block-list {
    text-shadow: 0 0.05em 0.1em rgba(0, 0, 0, 0.5);
  }
}

/**
 * --- Layout (makro layouty a utility) ---
 * Vše, co se týká rozvržení stránek, sekcí, top baru, mobilní menu atd.
 */
.z-index-5 {
  z-index: 5;
}

.z-index-10 {
  z-index: 10;
}

.text-center {
  text-align: center;
}

.margin-top {
  margin-top: var(--gap);
}

.margin-bottom {
  margin-bottom: var(--gap);
}

.no-margin-top {
  margin-top: 0 !important;
}

.no-margin-bottom {
  margin-bottom: 0 !important;
}

.absolute-image {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.section {
  --section-gap: var(--gap);
  position: relative;
  z-index: 2;
  background-color: var(--background-color, transparent);
}
.section--smaller {
  padding: calc(var(--section-gap) * 2) 0;
}
.section--normal {
  padding: calc(var(--section-gap) * 2.5) 0;
}
.section--bigger {
  padding: calc(var(--section-gap) * 3) 0;
}
.section--smaller-top {
  padding-top: calc(var(--section-gap) * 2);
}
.section--no-top {
  padding-top: 0;
}
.section--no-bottom {
  padding-bottom: 0;
}
.section--background {
  background-color: var(--color-light);
}
.section--gradient {
  background: var(--linear-gradient);
}

.content {
  width: 100%;
  padding: 0 var(--padding-on-side);
  margin: 0 auto;
  position: relative;
  z-index: 2;
  max-width: calc(var(--content-width) + 2 * var(--padding-on-side));
}
.content--tiny {
  --content-width: var(--content-tiny);
}
.content--regular {
  --content-width: var(--content-regular);
}
.content--smaller {
  --content-width: var(--content-small);
}
.content--bigger {
  --content-width: var(--content-big);
}

.section:not([class*=is-style]):not([class*=has-background]):has(+ .section:not([class*=is-style]):not([class*=has-background])) {
  padding-bottom: 0;
}

.top-bar--absolute {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 100;
}
.top-bar__content {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.top-bar__logo-wrapper {
  width: clamp(100px, 13vw, 160px);
  display: inline-block;
  margin-bottom: calc(clamp(20px, 5vw, 40px) * -1);
  flex-shrink: 0;
}
.top-bar__right {
  display: flex;
  gap: clamp(10px, 3cqw, 30px);
  align-items: center;
  justify-content: flex-end;
}
.top-bar__main-menu {
  display: flex;
  align-items: center;
}
.top-bar__main-menu a {
  color: var(--color-text);
  font-family: var(--font-heading);
  font-weight: var(--font-weight-bold);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
  text-transform: uppercase;
  padding: 0.25em 0.5em;
  font-size: var(--font-size-20);
}
.top-bar__main-menu a:hover {
  color: var(--color-light);
}
.top-bar__main-menu .current-menu-item a {
  color: var(--color-secondary);
}
@media screen and (max-width: 1360px) {
  .top-bar__main-menu {
    display: none;
  }
}

.mobile-menu {
  position: absolute;
  background-color: var(--color-primary-dark);
  top: 100%;
  left: 0;
  border-radius: var(--border-radius-big);
  width: clamp(240px, 30cqw, 400px);
  padding: clamp(1em, 2cqw, 2em);
  box-shadow: var(--shadow-box);
  z-index: 9;
  transform-origin: left top;
  opacity: 0;
  visibility: hidden;
  transform: scale(0.9);
  filter: blur(5px);
  transition: var(--transition);
}
.mobile-menu.visible {
  opacity: 1;
  visibility: visible;
  transform: scale(1);
  filter: blur(0);
}
.mobile-menu__menu {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
}
.mobile-menu__menu a {
  color: var(--color-secondary);
  font-family: var(--font-heading);
  font-weight: var(--font-weight-bold);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
  font-size: var(--font-size-28);
  padding: 0.25em 0;
  line-height: 1;
  display: block;
}
.mobile-menu__menu .current-menu-item a {
  color: var(--color-light);
}
.mobile-menu__menu a:hover {
  color: var(--color-white);
  transform: translate(0.1em, 0);
}

.footer {
  --font-color: var(--color-light);
  background-color: var(--color-primary);
  color: var(--color-light);
}
.footer__top {
  padding: calc(var(--gap) * 2) 0;
  display: flex;
  gap: 20px clamp(20px, 5vw, 80px);
}
.footer__column-title {
  font-family: var(--font-heading);
  font-weight: var(--font-weight-bold);
  font-optical-sizing: auto;
  letter-spacing: var(--letter-spacing);
  font-size: var(--font-size-36);
  color: var(--color-secondary);
  text-transform: uppercase;
  margin-bottom: 1em;
}
.footer__column p {
  font-family: var(--font-basic);
  font-weight: var(--font-weight-medium);
  font-optical-sizing: auto;
  font-size: var(--font-size-18);
  color: var(--color-light);
}
.footer__column p:not(:last-child) {
  margin-bottom: 0.75em;
}
.footer__column p a {
  color: var(--color-light);
  text-decoration: none;
}
.footer__column p a:hover {
  color: var(--color-text);
}
.footer__menu {
  display: flex;
  flex-direction: column;
  gap: 0.4em;
}
.footer__menu a {
  font-family: var(--font-basic);
  font-weight: var(--font-weight-medium);
  font-optical-sizing: auto;
  font-size: var(--font-size-18);
  color: var(--color-light);
  text-decoration: none;
}
.footer__menu a:hover {
  color: var(--color-text);
}
.footer__contact-item {
  display: flex;
  align-items: center;
  gap: 0.75em;
  font-size: var(--font-size-24);
  color: var(--color-light);
}
.footer__contact-item:not(:last-child) {
  margin-bottom: 1em;
}
.footer__contact-item::before {
  content: "";
  width: 1.75em;
  aspect-ratio: 1/1;
  mask: var(--footer-icon) center/contain no-repeat;
  background-color: var(--color-light);
}
.footer__contact-item--phone {
  --footer-icon: var(--icon-phone);
}
.footer__contact-item--email {
  --footer-icon: var(--icon-email);
}
.footer__contact-item-label {
  font-size: var(--font-size-16);
}
.footer__contact-item-value {
  color: var(--color-light);
}
.footer__contact-item-value:hover {
  color: var(--color-text);
}
.footer__agrofert {
  display: flex;
  gap: clamp(20px, 4cqw, 40px);
}
.footer__agrofert-text {
  font-size: var(--font-size-14);
  max-width: 1000px;
}
.footer__tellus {
  flex-shrink: 0;
  opacity: 0.75;
}
.footer__tellus:hover {
  opacity: 1;
}
.footer__tellus-logo {
  width: clamp(100px, 10cqw, 130px);
}
.footer__bottom {
  padding: 3em 0 2em;
  font-size: var(--font-size-14);
  display: flex;
  justify-content: space-between;
  gap: 0.5em 1em;
}
.footer__copyright {
  font-size: var(--font-size-14);
}
.footer__stamp {
  position: absolute;
  right: -1em;
  bottom: 6em;
  width: clamp(160px, 15cqw, 280px);
  aspect-ratio: 1/1;
  z-index: 1;
}
@media screen and (max-width: 1360px) {
  .footer__stamp {
    filter: brightness(0);
    opacity: 0.25;
  }
}
@media screen and (max-width: 768px) {
  .footer__top {
    flex-direction: column;
    text-align: center;
  }
  .footer__column-title {
    display: inline-block;
  }
  .footer__column-title::after {
    content: "";
    width: 100%;
    height: 3px;
    background-color: var(--color-primary-dark);
    margin-top: 0.2em;
    display: block;
  }
  .footer__contact-item {
    justify-content: center;
  }
  .footer__contact-item::before {
    display: none;
  }
  .footer__contact-item-label {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1em;
    margin-bottom: 0.25em;
  }
  .footer__contact-item-label::before {
    content: "";
    width: 1.5em;
    aspect-ratio: 1/1;
    mask: var(--footer-icon) center/contain no-repeat;
    background-color: var(--color-light);
  }
  .footer__contact-item-value {
    font-size: var(--font-size-30);
  }
  .footer__agrofert {
    flex-direction: column;
    align-items: center;
    gap: 0.5em;
  }
  .footer__agrofert-text {
    text-align: center;
    font-size: var(--font-size-12);
  }
  .footer__bottom {
    flex-direction: column;
    align-items: center;
  }
  .footer__copyright {
    order: 2;
  }
  .footer__stamp {
    bottom: 20%;
  }
}

body::-webkit-scrollbar {
  width: 6px;
}
body::-webkit-scrollbar-track {
  background: var(--color-primary);
}
body::-webkit-scrollbar-thumb {
  background: var(--color-secondary, #cbd5e1);
  border-radius: 10px;
}

body.no-scroll {
  position: fixed;
  width: 100%;
  overflow-y: scroll;
}